package cpcns.dingZhi.zhuanHuanGongJu.service.impl;

package .tmp;

import cpcns.dangAnBase.base.service.impl.DangAnBaseServiceImpl;
import cpcns.dingZhi.zhuanHuanGongJu.dao.ZhuanHuanGongJuDao;
import cpcns.dingZhi.zhuanHuanGongJu.model.ZhuanHuanGongJu;
import cpcns.dingZhi.zhuanHuanGongJu.service.ZhuanHuanGongJuService;
import cpcns.utils.CommStatic;
import cpcns.utils.PagerVO;
import java.util.HashMap;
import java.util.Map;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

@Service("zhuanHuanGongJuService")
public class ZhuanHuanGongJuServiceImpl extends DangAnBaseServiceImpl<ZhuanHuanGongJu> implements ZhuanHuanGongJuService {
  @Autowired
  private ZhuanHuanGongJuDao zhuanHuanGongJuDao;
  
  public PagerVO query_SQL(Integer start, Integer rows, String table, Map<String, Object> map, String orderbysql) throws Exception {
    Map<String, Object> tp = new HashMap<>();
    StringBuffer sql = (new StringBuffer(" select hangBiaoShi,zhuanHuanLeiXing,yuanWenJianMing,yuanWenJianGeShi,zhuanHuanWenJianMing,zhuanHuanXinWenJianMing,zhuanHuanWenJianGeShi,zhuanHuanWenJianLuJing,ZhuanHuanRenBiaoShi,zhuanHuanRenMingCheng,kaiShiShiJian,jieSuShiJian,zhuanHuanYongShi,zhuangTai,zhuanHuanMiaoShu,beiZhu,beiYongZi,beiYongZiFu from ")).append(table).append(" where 1=1 ");
    Object para = null;
    para = map.get("querystr");
    if (para != null && para != "") {
      Object menLei = map.get("menLei");
      if (menLei != null && menLei != "") {
        sql.append(" and menLei =:menLei");
        tp.put("menLei", menLei);
      } 
      CommStatic.zhuHeQueryJieXi_map(sql, tp, para.toString(), (String)map.get("zuHeType"), getDataType());
    } else {
      para = map.get("yuanWenJianMing");
      if (para != null && para != "") {
        sql.append(" and yuanWenJianMing like :yuanWenJianMing");
        tp.put("yuanWenJianMing", "%" + para + "%");
      } 
      para = map.get("zhuanHuanRenMingCheng");
      if (para != null && para != "") {
        sql.append(" and zhuanHuanRenMingCheng like :zhuanHuanRenMingCheng");
        tp.put("zhuanHuanRenMingCheng", "%" + para + "%");
      } 
      para = map.get("zhuanHuanLeiXing");
      if (para != null && para != "") {
        sql.append(" and zhuanHuanLeiXing=:zhuanHuanLeiXing");
        tp.put("zhuanHuanLeiXing", para);
      } 
      para = map.get("zhuangTai");
      if (para != null && para != "") {
        sql.append(" and zhuangTai =:zhuangTai");
        tp.put("zhuangTai", para);
      } 
      para = map.get("kaiShiShiJian");
      if (para != null && para != "") {
        sql.append(" and kaiShiShiJian=:kaiShiShiJian");
        tp.put("kaiShiShiJian", para);
      } 
      para = map.get("jieSuShiJian");
      if (para != null && para != "") {
        sql.append(" and jieSuShiJian =:jieSuShiJian");
        tp.put("jieSuShiJian", para);
      } 
    } 
    return this.zhuanHuanGongJuDao.querySQL(start, rows, sql.toString(), tp, orderbysql);
  }
}
